vellTRDocs
API ReferenceSubscriptionsSubscription Charges

Subscription Charges

GET/v1/subscriptions/{id}/chargesOptional

Per-cycle charge history for a subscription.

Authentication

Signature Pattern

HMAC-SHA256(secretKey, "{timestamp}\nGET\n/v1/subscriptions/{id}/charges\n{sha256(\"\")}")
HeaderValueDescription
X-Api-Keypk_live_a1b2c3d4e5f6g7h8Merchant public API key
X-Signature{hmac_sha256_hex}Hex HMAC-SHA256 request signature
X-Timestamp2026-04-13T10:00:00ZISO 8601 UTC request time (±5 min)

Response Parameters

FieldTypeExample
itemsarray[…]
items[].cycleNumberinteger1
items[].paymentIdstring"pay_1a2b3c4d5e6f"
items[].statusstring"captured"
items[].amountMinorinteger50000
items[].chargedAtstring"2026-04-13T10:00:02Z"

Response Example

JSONResponse
{
  "items": [
    {
      "cycleNumber": 1,
      "paymentId": "pay_1a2b3c4d5e6f",
      "status": "captured",
      "amountMinor": 50000,
      "chargedAt": "2026-04-13T10:00:02Z"
    }
  ]
}

Status Codes

200Success
201Created
400Bad Request
401Unauthorized
404Not Found
429Rate Limited
Try itMock
GEThttps://api.pay.sandbox.kvell.group